升级后输入法老崩溃

为当前最终发行版之前的所有版本提供支持
回复
头像
haige
帖子: 315
注册时间: 2006-03-16 16:29
送出感谢: 0
接收感谢: 0

升级后输入法老崩溃

#1

帖子 haige » 2007-02-07 21:30

升级到2.6.20.6了,输入法不能用了,折腾了几天还是不行。
头像
haige
帖子: 315
注册时间: 2006-03-16 16:29
送出感谢: 0
接收感谢: 0

#2

帖子 haige » 2007-02-09 0:52

已解决,简单的我自己都笑了
头像
KSKY
帖子: 358
注册时间: 2007-01-20 20:57
送出感谢: 0
接收感谢: 0

#3

帖子 KSKY » 2007-02-14 16:32

怎么解觉得 我的FICTX不能用了
wzhpro
帖子: 53
注册时间: 2006-09-24 9:28
送出感谢: 0
接收感谢: 0

#4

帖子 wzhpro » 2007-02-14 22:22

怎么解决?
头像
haige
帖子: 315
注册时间: 2006-03-16 16:29
送出感谢: 0
接收感谢: 0

#5

帖子 haige » 2007-02-15 18:39

我把fcitx完全卸了,重装了scim。
设置LC_ALL和其它属性:
sudo gedit /etc/environment
在编辑器里,将内容修改如下:
LANGUAGE="zh_CN:zh:en_US:en"
LC_ALL=zh_CN.UTF-8
LANG=zh_CN.UTF-8
GST_ID3_TAG_ENCODING=GBK
保存,关闭编辑器
注销再启动“ Ctrl + 空格”
头像
haige
帖子: 315
注册时间: 2006-03-16 16:29
送出感谢: 0
接收感谢: 0

#6

帖子 haige » 2007-02-15 18:41

scim-bridgy可能不用删除,只要把/etc/X11/xinit/xinput.d/scim 里面

GTK_IM_MODULE="scim-bridge" 改回 GTK_IM_MODULE="scim"就可以了。
头像
crazycookiefun
帖子: 47
注册时间: 2006-09-01 22:00
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 crazycookiefun » 2007-02-24 19:56

我也有同样的问题,我一直使用的是scim,还是64位的
我的修改方式如下:
以前安wiki的方式,把GTK_IM_MODULE="scim"修改为”scim-bridge“

首先:
/etc/X11/xinit/xinput.d/scim:

代码: 全选

# im-switch configuration file for scim
# should be installed as /etc/X11/xinit/xinput.d/scim
# this configuration uses GTK IM module and Qt IM module provided by SCIM

# exported enviroment variablesXMODIFIERS="@im=SCIM"
[b]GTK_IM_MODULE="scim"[/b]
QT_IM_MODULE="scim"
# command and arguments to invoke scim
XIM_PROGRAM="/usr/bin/scim"
XIM_ARGS="--daemon"
# package dependency (note that the format used here is not environment
# variable, but some format for libapt-pkg-perl and is parsed by grep,
# so can't be quoted, and no spaces allowed)
DEPENDS=scim-gtk2-immodule,scim-qtimm
/etc/X11/xinit/xinput.d/sci-pinyin:

代码: 全选

XIM=SCIM
if [ -e /usr/bin/skim ]; then
    XIM_PROGRAM=/usr/bin/skim
else
    XIM_PROGRAM=/usr/bin/scim
fi
XIM_ARGS="-d"
if [ -e /usr/lib/gtk-2.0/2.10.0/immodules/im-scim-bridge.so ]; then
   [b] GTK_IM_MODULE=scim[/b]
else
    GTK_IM_MODULE=xim
fi
if [ -e /usr/lib/qt3/plugins/inputmethods/libqscim.so ]; then
    QT_IM_MODULE=scim
else
    QT_IM_MODULE=xim
fi
DEPENDS="scim | skim"

粗体修改

Ctrl+alt+backspzce 登录,完成~
头像
crazycookiefun
帖子: 47
注册时间: 2006-09-01 22:00
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 crazycookiefun » 2007-02-24 19:59

首先:
/etc/X11/xinit/xinput.d/scim:

代码:
# im-switch configuration file for scim
# should be installed as /etc/X11/xinit/xinput.d/scim
# this configuration uses GTK IM module and Qt IM module provided by SCIM

# exported enviroment variablesXMODIFIERS="@im=SCIM"
GTK_IM_MODULE="scim"
QT_IM_MODULE="scim"
# command and arguments to invoke scim
XIM_PROGRAM="/usr/bin/scim"
XIM_ARGS="--daemon"
# package dependency (note that the format used here is not environment
# variable, but some format for libapt-pkg-perl and is parsed by grep,
# so can't be quoted, and no spaces allowed)
DEPENDS=scim-gtk2-immodule,scim-qtimm


/etc/X11/xinit/xinput.d/sci-pinyin:

代码:
XIM=SCIM
if [ -e /usr/bin/skim ]; then
XIM_PROGRAM=/usr/bin/skim
else
XIM_PROGRAM=/usr/bin/scim
fi
XIM_ARGS="-d"
if [ -e /usr/lib/gtk-2.0/2.10.0/immodules/im-scim-bridge.so ]; then
GTK_IM_MODULE=scim
else
GTK_IM_MODULE=xim
fi
if [ -e /usr/lib/qt3/plugins/inputmethods/libqscim.so ]; then
QT_IM_MODULE=scim
else
QT_IM_MODULE=xim
fi
DEPENDS="scim | skim"



粗体修改

Ctrl+alt+backspzce 登录,完成~ :em02
头像
crazycookiefun
帖子: 47
注册时间: 2006-09-01 22:00
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 crazycookiefun » 2007-02-24 20:04

另外,在6.06中 存在 acpi 的问题,造成laptop过热的问题。症状如下:
laptop的问题到了70度,风扇启动,温度降低,风扇停止。但是温度再次高了之后,就不启动风扇,或者启动后温度还是很高。

升级内核,问题解决。 :em06
回复

回到 “老旧版本支持”